﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Drawing;
using MindFusion.Drawing;
using MindFusion.Diagramming;
using MindFusion.Diagramming.Mvc;

namespace FlowchartLayout.Controllers
{
    public class HomeController : Controller
    {

        public ActionResult Index()
        {
            DiagramView syntaxView = DiagramView.FromRequest("syntaxView", Request);
            ViewBag.SyntaxView = syntaxView;

            DiagramView flowchartView = DiagramView.FromRequest("flowchartView", Request);
            ViewBag.FlowchartView = flowchartView;

            return View("Index");
        }
    }
}